<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui">
    <title>React Roulette</title>
    <link type="text/css" rel="stylesheet" href="assets/css/github-markdown.css">
    <link type="text/css" rel="stylesheet" href="assets/css/pilcrow.css">
    <link type="text/css" rel="stylesheet" href="assets/css/hljs-github.min.css"/>
  </head>
  <body>
    <article class="markdown-body"><h1 id="react-roulette"><a class="header-link" href="#react-roulette"></a>React Roulette</h1>
<p>This is a very simple React component wich allows you to display an interactive roulette that can be thrown and it returns the selected value to be used.</p>
<p class="img-container"><img src="https://matias.bontempo.gitlab.io/react-roulette/assets/images/demo-2.gif" alt="Demo"></p>
<h2 id="installation-and-usage"><a class="header-link" href="#installation-and-usage"></a>Installation and usage</h2>
<p>You can use this component by installing with npm:</p>
<pre class="hljs"><code>npm <span class="hljs-selector-tag">i</span> react-roulette</code></pre><p>Then import it in your app:</p>
<pre class="hljs"><code><span class="hljs-keyword">import</span> React <span class="hljs-keyword">from</span> <span class="hljs-string">'react'</span>;
<span class="hljs-keyword">import</span> Roulette <span class="hljs-keyword">from</span> <span class="hljs-string">'react-roulette'</span>;

<span class="hljs-keyword">const</span> App = <span class="hljs-function"><span class="hljs-params">()</span> =&gt;</span> {
    <span class="hljs-keyword">const</span> items = [<span class="hljs-string">'Apple'</span>, <span class="hljs-string">'Banana'</span>, <span class="hljs-string">'Cherry'</span>];
    <span class="hljs-keyword">const</span> colors = [<span class="hljs-string">'#F76156'</span>, <span class="hljs-string">'#FBD1A2'</span>, <span class="hljs-string">'#BED558'</span>];

    <span class="hljs-keyword">return</span> (
        <span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">className</span>=<span class="hljs-string">"App"</span>&gt;</span>
            <span class="hljs-tag">&lt;<span class="hljs-name">h1</span>&gt;</span>React Roulette<span class="hljs-tag">&lt;/<span class="hljs-name">h1</span>&gt;</span>
            <span class="hljs-tag">&lt;<span class="hljs-name">Roulette</span> <span class="hljs-attr">items</span>=<span class="hljs-string">{items}</span> <span class="hljs-attr">colors</span>=<span class="hljs-string">{colors}</span> /&gt;</span>
        <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    );
}

export default App;</span></code></pre><h2 id="props"><a class="header-link" href="#props"></a>Props</h2>
<p>Required props:</p>
<ul class="list">
<li><code>items</code> - Array of items to display.</li>
<li><code>colors</code> - Array of colors to use. If it&#39;s smaller tha than the items it&#39;s used in loop.</li>
</ul>
<p>Optional props:</p>
<ul class="list">
<li><code>frameColor</code> - Color for the frame and the arrow. Default: <code>white</code>.</li>
<li><code>centerColor</code> - Color for the center button. Default: <code>#333</code>.</li>
<li><code>image</code> - Url of an image to use inside the center button.</li>
<li><code>clickSpeed</code> - Speed to rotate the roulette when the center button is clicked. Default: <code>50</code>.</li>
<li><code>friction</code> - Friction applied to the rotation. Default: <code>0.005</code>.</li>
<li><code>onChange</code> - Function triggered when the roulette stops. Returns the element where it landed as an argument.</li>
</ul>
    </article>
  </body>
</html>
